> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update payer

> Update an existing payer's information



## OpenAPI

````yaml put /v1/payers/{id}
openapi: 3.0.0
info:
  title: Payers API
  version: 1.0.0
  description: API for managing invoice payers
servers: []
security:
  - bearerAuth: []
tags:
  - name: Payers
    description: Payer management operations
paths:
  /v1/payers/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
        description: Payer UUID
    put:
      tags:
        - Payers
      summary: Update payer
      description: Update an existing payer's information
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePayerInput'
      responses:
        '200':
          description: Payer updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payer'
        '404':
          description: Payer not found
components:
  schemas:
    UpdatePayerInput:
      type: object
      properties:
        name:
          type: string
        company:
          type: string
        country:
          type: string
          pattern: ^[A-Z]{3}$
        metadata:
          type: object
          additionalProperties: true
    Payer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        customer_id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        name:
          type: string
        company:
          type: string
        country:
          type: string
          pattern: ^[A-Z]{3}$
        active:
          type: boolean
        metadata:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
        modified_at:
          type: string
          format: date-time
        modified_by:
          type: string
          format: uuid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````